## siril 0.99.8.1

=== debian/changelog ===
siril (0.99.8.1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:42:43 +0000

siril (0.99.8.1-1ubuntu1) hirsute; urgency=medium

  * Cherry-pick an upstream commit to fix build with the new glib
    - debian/patches/upstream-fix-build-new-glib.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Mar 2021 11:00:06 +0100

siril (0.99.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Sat, 13 Feb 2021 15:20:10 +0100
