=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/@PACKAGE@.*\.tar\.gz/@PACKAGE@-$1\.tar\.gz/g \
  https://gitlab.com/free-astro/siril/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
