## siril 0.99.10.1

=== debian/changelog ===
siril (0.99.10.1-2build1) jammy; urgency=medium

  * No-change rebuild against libffms2-5

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 14 Feb 2022 10:38:54 +0100

siril (0.99.10.1-2) unstable; urgency=medium

  * Changing gvfs-backends from mandatory to recommended. Closes #992443

 -- Cyril Richard <lock042@gmail.com>  Tue, 31 Aug 2021 17:26:26 +0200

siril (0.99.10.1-1) unstable; urgency=medium

  [ Cyril Richard]
  * New upstream version. Closes: #984335

  [ Nilesh Patra ]
  * Add d/salsa-ci.yml

 -- Cyril Richard <lock042@gmail.com>  Wed, 18 Aug 2021 13:13:57 +0200

siril (0.99.10-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Fri, 11 Jun 2021 17:04:16 +0200
