=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: siril
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
@@ -40,6 +39,7 @@
          ${shlibs:Depends},
          siril-common (= ${source:Version}),
          librsvg2-2
+Recommended: gvfs-backends
 Suggests: gnuplot
 Description: astronomical image processing tool
  Siril is an image processing tool specially tailored for noise reduction and
