## siril 1.0.1

=== debian/changelog ===
siril (1.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 14 Apr 2022 10:05:43 +0200

siril (1.0.0-1) unstable; urgency=medium

  * New usptream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 09 Mar 2022 11:40:26 +0100
