=== debian/changelog ===
siril (1.0.3-1build2) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:07:52 +0000

siril (1.0.3-1build1) kinetic; urgency=medium

  * No-change rebuild against libopencv-core406

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Jul 2022 06:25:42 +0000

siril (1.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Tue, 28 Jun 2022 13:38:34 +0200

siril (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * patch appstream data

 -- Cyril Richard <lock042@gmail.com>  Mon, 16 May 2022 13:55:57 +0200
