## siril 1.0.5

=== debian/changelog ===
siril (1.0.5-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Fri, 09 Sep 2022 14:51:31 +0530
