## siril 1.0.6

=== meson_options.txt ===
# Build properties
option('relocatable-bundle', 
 type: 'combo', 
 value: 'platform-default',
 description: 'build with resources considered bundled under the same prefix',
 choices: [ 'yes', 'no', 'platform-default' ]
)

option('openmp', 
 type : 'boolean', 
 value : 'true',
 description: 'build with OpenMP support'
)

option('enable-libcurl',
 type: 'combo', 
 value: 'platform-default',
 description: 'Use libcurl instead of GIO',
 choices: [ 'yes', 'no', 'platform-default' ]
)
