=== debian/changelog ===
siril (1.0.6-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 19 Oct 2022 13:41:16 +0200
