=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=meson

override_dh_installchangelogs:
	dh_installchangelogs

override_dh_auto_configure:
	dh_auto_configure
	
override_dh_missing:
	dh_missing --list-missing
