## siril 1.2.0

=== debian/changelog ===
siril (1.2.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1034823)

 -- Cyril Richard <lock042@gmail.com>  Sat, 16 Sep 2023 19:46:01 +0530

siril (1.2.0~beta1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Mon, 27 Feb 2023 21:24:21 +0100
