=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: siril
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
@@ -14,7 +15,6 @@
                git,
                cmake,
                libcfitsio-dev,
-               libconfig++-dev,
                libexiv2-dev,
                libffms2-dev,
                libfftw3-dev,
