## siril 1.2.4

=== debian/changelog ===
siril (1.2.4-1build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:23:57 +0000

siril (1.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 11 Sep 2024 16:47:01 +0200
