## siril 1.2.5

=== debian/changelog ===
siril (1.2.5-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 27 Nov 2024 13:46:00 +0100
