=== debian/changelog ===
siril (1.2.6-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 23 Jan 2025 09:37:29 +0100
