## siril 1.4.0~beta2

=== meson_options.txt ===
# Build properties
option('relocatable-bundle',
 type: 'combo',
 value: 'platform-default',
 description: 'build with resources considered bundled under the same prefix',
 choices: [ 'yes', 'no', 'platform-default' ]
)

option('openmp',
 type : 'boolean',
 value : true,
 description: 'build with OpenMP support'
)

option('exiv2',
 type : 'boolean',
 value : true,
 description: 'build with exiv2 support'
)

option('libgit2',
 type : 'boolean',
 value : true,
 description: 'build with libgit2 git integration'
)

option('libraw',
 type : 'boolean',
 value : true,
 description: 'build with LibRaw support'
)

option('libtiff',
 type : 'boolean',
 value : true,
 description: 'build with TIFF support'
)

option('libjpeg',
 type : 'boolean',
 value : true,
 description: 'build with JPEG support'
)

option('libjxl',
 type : 'boolean',
 value : true,
 description: 'build with JPEG XL support'
)

option('libpng',
 type : 'boolean',
 value : true,
 description: 'build with PNG support'
)

option('libheif',
 type : 'boolean',
 value : true,
 description: 'build with HEIF support'
)

option('libXISF',
 type : 'boolean',
 value : true,
 description: 'build with XISF support'
)

option('ffms2',
 type : 'boolean',
 value : true,
 description: 'build with FFMS2 support'
)

option('ffmpeg',
 type : 'boolean',
 value : true,
 description: 'build with FFmpeg support'
)

option('libcurl',
 type: 'boolean',
 value: true,
 description: 'Use libcurl for web access',
)

option('criterion',
 type : 'boolean',
 value : false,
 description: 'build with criterion support'
)

option('flatpak-id',
 type : 'string',
 value : '',
 description : 'set by flatpak-builder if building a flatpak'
)
