=== debian/changelog ===
siril (1.4.0~beta2-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable (Closes: #1114381)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Nov 2025 22:22:30 +0100

siril (1.4.0~beta2-1) experimental; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 21 May 2025 10:22:30 +0200

siril (1.4.0~beta1-2) experimental; urgency=medium

  * Adding python module in the installation
  * Replacing libjson-glib-dev by libjson-glib-dev as dep in deb/control
  * Adding python3-tk as dependency

 -- Cyril Richard <lock042@gmail.com>  Fri, 09 May 2025 11:30:35 +0200

siril (1.4.0~beta1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Fri, 25 Apr 2025 15:48:39 +0200
