=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	dh_installchangelogs
 
 override_dh_auto_configure:
-	dh_auto_configure
+	dh_auto_configure -- -Dcriterion=false
 	
 override_dh_missing:
 	dh_missing --list-missing
