## siril 1.4.0~rc2

=== debian/changelog ===
siril (1.4.0~rc2-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 20 Nov 2025 13:44:59 +0100

siril (1.4.0~rc1-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Sat, 08 Nov 2025 07:24:29 +0100
