=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                intltool,
                meson (>= 0.51),
@@ -19,7 +18,7 @@
                libfftw3-dev,
                libgsl-dev,
                libgtk-3-dev,
-               libjson-glib-dev,
+               libyyjson-dev,
                libopencv-dev,
                libpng-dev,
                libraw-dev,
@@ -30,16 +29,25 @@
                libswscale-dev,
                libswresample-dev,
                libheif-dev,
-               wcslib-dev
+               wcslib-dev,
+               libgtksourceview-4-dev,
+               libgit2-dev,
+               libjxl-dev,
+               liblz4-dev,
+               libpugixml-dev,
+               libxisf-dev,
+               libcurl4-gnutls-dev
 
 Package: siril
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          siril-common (= ${source:Version}),
-         librsvg2-2
+         librsvg2-2,
+         python3-venv,
+         python3-pip,
+         python3-tk
 Recommends: gvfs-backends
-Suggests: gnuplot
 Description: astronomical image processing tool
  Siril is an image processing tool specially tailored for noise reduction and
  improving the signal/noise ratio of an image from multiple captures, as
