## siril 1.4.2

=== meson_options.txt ===
--- 
+++ 
@@ -90,8 +90,20 @@
  description: 'build with criterion support'
 )
 
+option('arch_native',
+ type : 'boolean',
+ value : false,
+ description : 'Enable -march=native optimization'
+)
+
 option('flatpak-id',
  type : 'string',
  value : '',
  description : 'set by flatpak-builder if building a flatpak'
 )
+
+option('simd_logs',
+ type : 'boolean',
+ value : false,
+ description : 'Enable loop vectorization analysis during build (clang only)'
+)
