=== debian/changelog ===
siril (1.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 19 Feb 2026 22:14:29 +0100
